Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class JSVGViewerFrame.UserAgent

    java.lang.Object
      org.apache.batik.apps.svgbrowser.JSVGViewerFrame.UserAgent

All Implemented Interfaces:
  SVGUserAgent

Enclosing class:
  JSVGViewerFrame

protected class JSVGViewerFrame.UserAgent
extends java.lang.Object
implements SVGUserAgent

This class implements a SVG user agent.

Constructor Summary
`protected` | `JSVGViewerFrame.UserAgent()` Creates a new SVGUserAgent.

Method Summary
`void` | `checkLoadExternalResource(ParsedURL resourceURL, ParsedURL docURL)` This method throws a SecurityException if the resource found at url and referenced from docURL should not be loaded.
`void` | `checkLoadScript(java.lang.String scriptType, ParsedURL scriptURL, ParsedURL docURL)` This method throws a SecurityException if the script of given type, found at url and referenced from docURL should not be loaded.
`void` | `displayError(java.lang.Exception ex)` Displays an error resulting from the specified Exception.
`void` | `displayError(java.lang.String message)` Displays an error message.
`void` | `displayMessage(java.lang.String message)` Displays a message in the User Agent interface.
`java.lang.String` | `getAlternateStyleSheet()` Returns this user agent's alternate style-sheet title.
`float` | `getBolderFontWeight(float f)` Returns a bolder font-weight.
`java.lang.String` | `getDefaultFontFamily()` Returns the default font family.
`ExternalResourceSecurity` | `getExternalResourceSecurity(ParsedURL resourceURL, ParsedURL docURL)` Returns the security settings for the given resource url and document url
`java.lang.String` | `getLanguages()` Returns the language settings.
`float` | `getLighterFontWeight(float f)` Returns a lighter font-weight.
`java.lang.String` | `getMedia()` Returns this user agent's CSS media.
`float` | `getMediumFontSize()` Returns the medium font size.
`float` | `getPixelToMM()` Returns the size of a px CSS unit in millimeters.
`float` | `getPixelUnitToMillimeter()` Returns the size of a px CSS unit in millimeters.
`ScriptSecurity` | `getScriptSecurity(java.lang.String scriptType, ParsedURL scriptURL, ParsedURL docURL)` Returns the security settings for the given script type, script url and document url
`java.lang.String` | `getUserStyleSheetURI()` Returns the user stylesheet uri.
`java.lang.String` | `getXMLParserClassName()` Returns the class name of the XML parser.
`void` | `handleElement(org.w3c.dom.Element elt, java.lang.Object data)` Notifies the UserAgent that the input element has been found in the document.
`boolean` | `isXMLParserValidating()` Returns true if the XML parser must be in validation mode, false otherwise.
`void` | `openLink(java.lang.String uri, boolean newc)` Opens a link.
`void` | `showAlert(java.lang.String message)` Shows an alert dialog box.
`boolean` | `showConfirm(java.lang.String message)` Shows a confirm dialog box.
`java.lang.String` | `showPrompt(java.lang.String message)` Shows a prompt dialog box.
`java.lang.String` | `showPrompt(java.lang.String message, java.lang.String defaultValue)` Shows a prompt dialog box.
`boolean` | `supportExtension(java.lang.String s)` Tells whether the given extension is supported by this user agent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSVGViewerFrame.UserAgent

    protected JSVGViewerFrame.UserAgent()

  Creates a new SVGUserAgent.

Method Detail

### displayError

    public void displayError(java.lang.String message)

  Displays an error message.

  Specified by:
    `displayError` in interface `SVGUserAgent`

### displayError

    public void displayError(java.lang.Exception ex)

  Displays an error resulting from the specified Exception.

  Specified by:
    `displayError` in interface `SVGUserAgent`

### displayMessage

    public void displayMessage(java.lang.String message)

  Displays a message in the User Agent interface. The given message is typically displayed in a status bar.

  Specified by:
    `displayMessage` in interface `SVGUserAgent`

### showAlert

    public void showAlert(java.lang.String message)

  Shows an alert dialog box.

  Specified by:
    `showAlert` in interface `SVGUserAgent`

### showPrompt

    public java.lang.String showPrompt(java.lang.String message)

  Shows a prompt dialog box.

  Specified by:
    `showPrompt` in interface `SVGUserAgent`

### showPrompt

    public java.lang.String showPrompt(java.lang.String message,
                                       java.lang.String defaultValue)

  Shows a prompt dialog box.

  Specified by:
    `showPrompt` in interface `SVGUserAgent`

### showConfirm

    public boolean showConfirm(java.lang.String message)

  Shows a confirm dialog box.

  Specified by:
    `showConfirm` in interface `SVGUserAgent`

### getPixelUnitToMillimeter

    public float getPixelUnitToMillimeter()

  Returns the size of a px CSS unit in millimeters.

  Specified by:
    `getPixelUnitToMillimeter` in interface `SVGUserAgent`

### getPixelToMM

    public float getPixelToMM()

  Returns the size of a px CSS unit in millimeters. This will be removed after next release.

  Specified by:
    `getPixelToMM` in interface `SVGUserAgent`
  See Also:
    `getPixelUnitToMillimeter()`

### getDefaultFontFamily

    public java.lang.String getDefaultFontFamily()

  Returns the default font family.

  Specified by:
    `getDefaultFontFamily` in interface `SVGUserAgent`

### getMediumFontSize

    public float getMediumFontSize()

  Returns the medium font size.

  Specified by:
    `getMediumFontSize` in interface `SVGUserAgent`

### getLighterFontWeight

    public float getLighterFontWeight(float f)

  Returns a lighter font-weight.

  Specified by:
    `getLighterFontWeight` in interface `SVGUserAgent`

### getBolderFontWeight

    public float getBolderFontWeight(float f)

  Returns a bolder font-weight.

  Specified by:
    `getBolderFontWeight` in interface `SVGUserAgent`

### getLanguages

    public java.lang.String getLanguages()

  Returns the language settings.

  Specified by:
    `getLanguages` in interface `SVGUserAgent`

### getUserStyleSheetURI

    public java.lang.String getUserStyleSheetURI()

  Returns the user stylesheet uri.

  Specified by:
    `getUserStyleSheetURI` in interface `SVGUserAgent`
  Returns:
    null if no user style sheet was specified.

### getXMLParserClassName

    public java.lang.String getXMLParserClassName()

  Returns the class name of the XML parser.

  Specified by:
    `getXMLParserClassName` in interface `SVGUserAgent`

### isXMLParserValidating

    public boolean isXMLParserValidating()

  Returns true if the XML parser must be in validation mode, false otherwise.

  Specified by:
    `isXMLParserValidating` in interface `SVGUserAgent`

### getMedia

    public java.lang.String getMedia()

  Returns this user agent's CSS media.

  Specified by:
    `getMedia` in interface `SVGUserAgent`

### getAlternateStyleSheet

    public java.lang.String getAlternateStyleSheet()

  Returns this user agent's alternate style-sheet title.

  Specified by:
    `getAlternateStyleSheet` in interface `SVGUserAgent`

### openLink

    public void openLink(java.lang.String uri,
                         boolean newc)

  Opens a link.

  Specified by:
    `openLink` in interface `SVGUserAgent`
  Parameters:
    `uri` - The document URI.
    `newc` - Whether the link should be activated in a new component.

### supportExtension

    public boolean supportExtension(java.lang.String s)

  Tells whether the given extension is supported by this user agent.

  Specified by:
    `supportExtension` in interface `SVGUserAgent`

### handleElement

    public void handleElement(org.w3c.dom.Element elt,
                              java.lang.Object data)

  Description copied from interface: `SVGUserAgent`
  Notifies the UserAgent that the input element has been found in the document. This is sometimes called, for example, to handle <a> or <title> elements in a UserAgent-dependant way.

  Specified by:
    `handleElement` in interface `SVGUserAgent`

### getScriptSecurity

    public ScriptSecurity getScriptSecurity(java.lang.String scriptType,
                                            ParsedURL scriptURL,
                                            ParsedURL docURL)

  Returns the security settings for the given script type, script url and document url

  Specified by:
    `getScriptSecurity` in interface `SVGUserAgent`
  Parameters:
    `scriptType` - type of script, as found in the type attribute of the <script> element.
    `scriptURL` - url for the script, as defined in the script's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docURL` - url for the document into which the script was found.

### checkLoadScript

    public void checkLoadScript(java.lang.String scriptType,
                                ParsedURL scriptURL,
                                ParsedURL docURL)
                         throws java.lang.SecurityException

  This method throws a SecurityException if the script of given type, found at url and referenced from docURL should not be loaded. This is a convenience method to call checkLoadScript on the ScriptSecurity strategy returned by getScriptSecurity.

  Specified by:
    `checkLoadScript` in interface `SVGUserAgent`
  Parameters:
    `scriptType` - type of script, as found in the type attribute of the <script> element.
    `scriptURL` - url for the script, as defined in the script's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docURL` - url for the document into which the script was found.
  Throws:
    `java.lang.SecurityException`

### getExternalResourceSecurity

    public ExternalResourceSecurity getExternalResourceSecurity(ParsedURL resourceURL,
                                                                ParsedURL docURL)

  Returns the security settings for the given resource url and document url

  Specified by:
    `getExternalResourceSecurity` in interface `SVGUserAgent`
  Parameters:
    `resourceURL` - url for the resource, as defined in the resource's xlink:href attribute. If that attribute was empty, then this parameter should be null
    `docURL` - url for the document into which the resource was found.

### checkLoadExternalResource

    public void checkLoadExternalResource(ParsedURL resourceURL,
                                          ParsedURL docURL)
                                   throws java.lang.SecurityException

  This method throws a SecurityException if the resource found at url and referenced from docURL should not be loaded. This is a convenience method to call checkLoadExternalResource on the ExternalResourceSecurity strategy returned by getExternalResourceSecurity.

  Specified by:
    `checkLoadExternalResource` in interface `SVGUserAgent`
  Parameters:
    `docURL` - url for the document into which the script was found.
  Throws:
    `java.lang.SecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.